Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws
Interface CorrelatableProperties

All Superinterfaces:
  Capability, Initialization, InitializationParameters, ManageabilityCapability, Shutdown, WsResourceCapability, org.apache.muse.ws.resource.WsResourceCapabilityProperties

All Known Implementing Classes:
  SimpleCorrelatableProperties

public interface CorrelatableProperties
extends ManageabilityCapability

This interface represents the WSDM CorrelatableProperties capability. Concrete implementations must maintain a collection of correlation expressions which can be evaluated against any resource for the purposes of equality testing. Each correlation expression maps to an instance of the MUWS CorrelatableProperties property.

Author:
  Dan Jemiolo (danj)

Field Summary
`static QName[]` | `PROPERTIES`

Method Summary
`void` | `addCorrelation(Correlation correlation)`
`Correlation[]` | `getCorrelatableProperties()`
`boolean` | `matches(EndpointReference epr)`

Methods inherited from interface org.apache.muse.ws.resource.WsResourceCapability
`deleteProperty, getProperty, getPropertyNames, getWsResource, insertProperty, updateProperty`

Methods inherited from interface org.apache.muse.core.Capability
`getActions, getCapabilityURI, getEnvironment, getLog, getMessageHandler, getPersistence, getResource, initializeCompleted, prepareShutdown, setCapabilityURI, setEnvironment, setLog, setMessageHandlers, setPersistence, setResource`

Methods inherited from interface org.apache.muse.core.Initialization
`hasBeenInitialized, initialize`

Methods inherited from interface org.apache.muse.core.InitializationParameters
`getInitializationParameter, getInitializationParameters, setInitializationParameters`

Methods inherited from interface org.apache.muse.core.Shutdown
`hasBeenShutdown, shutdown`

Field Detail

### PROPERTIES

    public static final QName[] PROPERTIES

Method Detail

### addCorrelation

    public void addCorrelation(Correlation correlation)
                        throws BaseFault

  Parameters:
    `correlation` - A new correlation expression that will be recorded in a new instance of the CorrelatableProperties property.
  Throws:
    `BaseFault`

### getCorrelatableProperties

    public Correlation[] getCorrelatableProperties()
                                            throws BaseFault

  Returns:
    The Correlation expressions defined in the instances of the CorrelatableProperties property. Each Correlation can be evaluated against a target Resource, and there is no requirement that a caller use all Correlations to decide whether two resources are the same.
  Throws:
    `BaseFault`

### matches

    public boolean matches(EndpointReference epr)
                    throws SoapFault

  Parameters:
    `epr` - The EPR of the resource (local or remote) to evaluate the current correlation expressions against.
  Returns:
    True, if all of the correlation expressions evaluated to true when run against the given endpoint's resource properties document.
  Throws:
    `SoapFault` -
    - If there was an error when trying to contact the resource at the given EPR, or if the endpoint does not support WS-RP.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD